Bug 997183 - [abrt] Zim-0.60-1.fc18: notebook.py:1178:cleanup_pathname:PageNameError: Invalid page name "-Hak:a1d42d710ec0478085b1bd967ef6a8e2"
[abrt] Zim-0.60-1.fc18: notebook.py:1178:cleanup_pathname:PageNameError: Inva...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:c874d05c32e22726d8ef4fe9742...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 17:00 EDT by alexmv
Modified: 2014-02-05 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:16:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (924 bytes, text/plain)
2013-08-14 17:01 EDT, alexmv
no flags Details
File: core_backtrace (347 bytes, text/plain)
2013-08-14 17:01 EDT, alexmv
no flags Details
File: environ (1.63 KB, text/plain)
2013-08-14 17:01 EDT, alexmv
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1212509 None None None Never

  None (edit)
Description alexmv 2013-08-14 17:00:57 EDT
Description of problem:
String -Hak:a1d42d710ec0478085b1bd967ef6a8e2 was automatically highlighted as being a URL. Right-clicking on this string didn't show expected "Remove link" menu item, but instead generated this ABRT event.

Version-Release number of selected component:
Zim-0.60-1.fc18

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/zim --ipc-server-main /tmp/zim-alex/zim-server-socket 30
executable:     /usr/bin/zim
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
notebook.py:1178:cleanup_pathname:PageNameError: Invalid page name "-Hak:a1d42d710ec0478085b1bd967ef6a8e2"

The given page name is not valid.


Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/gui/pageview.py", line 5124, in do_populate_popup
    path = self.ui.notebook.resolve_path(link['href'], source=self.page)
  File "/usr/lib/python2.7/site-packages/zim/notebook.py", line 1051, in resolve_path
    name = self.cleanup_pathname(name)
  File "/usr/lib/python2.7/site-packages/zim/notebook.py", line 1178, in cleanup_pathname
    raise PageNameError, orig
PageNameError: Invalid page name "-Hak:a1d42d710ec0478085b1bd967ef6a8e2"

The given page name is not valid.


Local variables in innermost frame:
purge: False
name: u'-Hak:a1d42d710ec0478085b1bd967ef6a8e2'
parts: [u'-Hak', u'a1d42d710ec0478085b1bd967ef6a8e2']
char: '\n'
part: u'-Hak'
orig: u'-Hak:a1d42d710ec0478085b1bd967ef6a8e2'
Comment 1 alexmv 2013-08-14 17:01:01 EDT
Created attachment 786701 [details]
File: backtrace
Comment 2 alexmv 2013-08-14 17:01:04 EDT
Created attachment 786702 [details]
File: core_backtrace
Comment 3 alexmv 2013-08-14 17:01:07 EDT
Created attachment 786703 [details]
File: environ
Comment 4 Fedora End Of Life 2013-12-21 09:28:37 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 17:16:55 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.